# Class HealpixPlotter.HealpixStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.HealpixPlotter.HealpixStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `HealpixPlotter`

public static class HealpixPlotter.HealpixStyle extends Object implements Style
Style for configuring the HEALPix plot.

Since:
  31 Mar 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HealpixStyle(int dataLevel, int degrade, Rotation rotation, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner, SolidAngleUnit angle)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HealpixStyle

public HealpixStyle(int dataLevel, int degrade, Rotation rotation, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner, SolidAngleUnit angle)
Constructor.

Parameters:
  `dataLevel` - HEALPix level at which the pixel index coordinates must be interpreted; if negative, automatic detection will be used
  `degrade` - HEALPix levels by which to degrade view grid
  `rotation` - sky rotation to be applied before plotting
  `scaling` - scaling function for mapping densities to colour map entries
  `dataclip` - scaling input range adjustment
  `shader` - colour map
  `combiner` - combiner, only relevant if degrade is non-zero
  `angle` - solid angle configuration for scaling

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`